| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::cuda::SparseOpticalFlow Class Referenceabstract
CUDA-accelerated Computer Vision » Optical Flow

Base interface for sparse optical flow algorithms. More...

`#include <opencv2/cudaoptflow.hpp>`

Collaboration diagram for cv::cuda::SparseOpticalFlow:

## Public Member Functions
virtual void | calc (InputArray prevImg, InputArray nextImg, InputArray prevPts, InputOutputArray nextPts, OutputArray status, OutputArray err=cv::noArray(), Stream &stream=Stream::Null())=0
| Calculates a sparse optical flow.
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state.
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read.
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage.
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage.
void | write (FileStorage &fs, const String &name) const

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Base interface for sparse optical flow algorithms.

## Member Function Documentation

## ◆ calc()

virtual void cv::cuda::SparseOpticalFlow::calc | ( | InputArray | prevImg,
|  | InputArray | nextImg,
|  | InputArray | prevPts,
|  | InputOutputArray | nextPts,
|  | OutputArray | status,
|  | OutputArray | err = cv::noArray(),
|  | Stream & | stream = Stream::Null() )
| pure virtual

Calculates a sparse optical flow.

Parameters

  prevImg | First input image.
  nextImg | Second input image of the same size and the same type as prevImg.
  prevPts | Vector of 2D points for which the flow needs to be found.
  nextPts | Output vector of 2D points containing the calculated new positions of input features in the second image.
  status | Output status vector. Each element of the vector is set to 1 if the flow for the corresponding features has been found. Otherwise, it is set to 0.
  err | Optional output vector that contains error response for each point (inverse confidence).
  stream | Stream for the asynchronous version.

The documentation for this class was generated from the following file:

- opencv2/cudaoptflow.hpp